Bug 514 - network-scripts: the hooks for if{up,down}-local are not OK
: network-scripts: the hooks for if{up,down}-local are not OK
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P4 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-03 18:07 by
Modified: 2003-08-25 15:18 (History)


Attachments
0000514-networkscripts-5.49-ipl38mdk-local.patch (deleted)
2002-02-03 18:07, imz
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-03 18:07:45
I\'m talking about the hooks at the end of
/etc/sysconfig/network-scripts/if{up,down}-post scripts that try to call
if{up,down}-local.

The first bug is a typo in ifup-post: a wrong name IFDOWN_LOCAL is used for a
variable there.

The second thing is that the location of the called local scripts seems strange
to me: why are they located in /sbin/? Shouldn\'t they be composed by the
administartor and thus located either in /etc/
(/etc/sysconfig/network-scripts/if{up,down}-local) or in /usr/local/sbin/.

---

---
The attched patch is one of the possible ways to fix both things.
------- Comment #1 From 2002-04-15 15:34:22 -------
Applied in
5.49-ipl39mdk
------- Comment #2 From 2002-04-15 15:34:22 -------
Applied in
5.49-ipl39mdk